Task 23/Controllers/GuestPageController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Task_23.Controllers
{
    public class GuestPageController : Controller
    {
        // GET: GuestPage
        public ActionResult GuestPage()
        {
            return View();
        }
    }
}

Task 23/Controllers/HomeController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Task_23.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}

Task 23/Controllers/SurveyPageController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Task_23.Controllers
{
    public class SurveyPageController : Controller
    {
        [HttpGet]
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Index(FormCollection form)
        {
            string[] keys = new string[] { "Banana", "Apple", "Melon", "Watermelon", "Orange" };
            ViewBag.person = form["Person"].ToString();
            ViewBag.surname = form["Surname"].ToString();
            ViewBag.framework = form["framework"].ToString();
            ViewBag.language = form["languages"].ToString();
            ViewBag.fruits = new List<string>();
            foreach (var key in keys)
            {
                if (form[key] == "true,false") 
                {
                    ViewBag.fruits.Add(key);
                }
            }
            if (ViewBag.fruits.Count == 0)
                ViewBag.fruits.Add("There is no fruits have been chosen");
            return View("Submitted");
        }
    }
}

Task 23/Views/GuestPage/GuestPage.cshtml
<script src="~/Scripts/MyScript.js"></script>

<h1>Write your opinion:</h1>

<div>
    <input type="text" id="Name" placeholder="Enter your name" />
    <input type="text" id="Surname" placeholder="Enter your surname" />
    <br />
    <textarea id="FeedTxt" rows="5" cols="280" placeholder="Enter your opinion"></textarea>
    <br />
    <input type="submit" value="Submit" onclick="AddFeedback()">
</div>

<h1>Feedbacks:</h1>




<div id="Feedbacks">
    

    <div>
        <p class="Name">Vasyl M.</p>
        <p class="Feedback-Date">23.04.2021</p>
        <p class="Feedback-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec at urna eget dui tempus iaculis. Morbi cursus lacus non metus malesuada, quis aliquet quam auctor. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae; Aenean fringilla ultricies velit congue egestas. Nullam interdum scelerisque nulla. Integer tempus sit amet sem vel vehicula. Maecenas ac facilisis nulla.</p>
        <hr class="Article-Line" />
    </div>

    <div>
        <p class="Name">Nazar D.</p>
        <p class="Feedback-Date">13.09.2021</p>
        <p class="Feedback-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec at urna eget dui tempus iaculis. Morbi cursus lacus non metus malesuada, quis aliquet quam auctor. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae; Aenean fringilla ultricies velit congue egestas. Nullam interdum scelerisque nulla. Integer tempus sit amet sem vel vehicula. Maecenas ac facilisis nulla.</p>
        <hr class="Article-Line" />
    </div>

    <div>
        <p class="Name">Rostyslav V.</p>
        <p class="Feedback-Date">12.05.2021</p>
        <p class="Feedback-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec at urna eget dui tempus iaculis. Morbi cursus lacus non metus malesuada, quis aliquet quam auctor. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae; Aenean fringilla ultricies velit congue egestas. Nullam interdum scelerisque nulla. Integer tempus sit amet sem vel vehicula. Maecenas ac facilisis nulla.</p>
        <hr class="Article-Line" />
    </div>

    <div>
        <p class="Name">Egor S.</p>
        <p class="Feedback-Date">11.02.2021</p>
        <p class="Feedback-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec at urna eget dui tempus iaculis. Morbi cursus lacus non metus malesuada, quis aliquet quam auctor. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae; Aenean fringilla ultricies velit congue egestas. Nullam interdum scelerisque nulla. Integer tempus sit amet sem vel vehicula. Maecenas ac facilisis nulla.</p>
        <hr class="Article-Line" />
    </div>

    <div>
        <p class="Name">Ostap K.</p>
        <p class="Feedback-Date">23.10.2021</p>
        <p class="Feedback-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec at urna eget dui tempus iaculis. Morbi cursus lacus non metus malesuada, quis aliquet quam auctor. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae; Aenean fringilla ultricies velit congue egestas. Nullam interdum scelerisque nulla. Integer tempus sit amet sem vel vehicula. Maecenas ac facilisis nulla.</p>
        <hr class="Article-Line" />
    </div>

    <div>
        <p class="Name">Olya Y.</p>
        <p class="Feedback-Date">15.11.2021</p>
        <p class="Feedback-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec at urna eget dui tempus iaculis. Morbi cursus lacus non metus malesuada, quis aliquet quam auctor. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae; Aenean fringilla ultricies velit congue egestas. Nullam interdum scelerisque nulla. Integer tempus sit amet sem vel vehicula. Maecenas ac facilisis nulla.</p>
    </div>
</div>

Task 23/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - My ASP.NET Application</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
</head>
<body>
    <header class="container">
        <div class="row">
            <img src="~/Content/img/Logo.png" alt="Logo image" class="col-md-1" />
            <p class="Logo-text col-md-11">Library</p>
            <a name="top"></a>
        </div>
    </header>
    <div class="container body-content">
        <div class="row">
            <div class="col-md-10">
                @RenderBody()

            </div>
            <div class="col-md-2 Sidebar-body">
                <ul class="nav nav-pills nav-stacked Sidebar">
                    <li role="presentation">@Html.ActionLink("Main Page", "Index", "Home")</li>
                    <li role="presentation">@Html.ActionLink("Guest page", "GuestPage", "GuestPage")</li>
                    <li role="presentation">@Html.ActionLink("Form page", "Index", "SurveyPage")</li>
                </ul>
            </div>
        </div>
        <hr />
        <footer>
            <a href="#top" class="footer">&copy; Mykyta Dudchenko mykyta.dudchenko.pm.2019@lpnu.ua</a>
        </footer>
    </div>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)
</body>
</html>

Task 23/Views/SurveyPage/Index.cshtml
@helper CheckboxList(string[] variants)
{
    foreach (var x in variants)
    {
        <br />
        @Html.CheckBox(x, false)
        <label for="@x">@x</label>
    }
}


@using (Html.BeginForm("Index", "SurveyPage", FormMethod.Post))
{
    <br />
    <label>Enter your name: </label>
    @Html.TextBox("Person", null)
    <br />
    <label>Enter your surname:</label>
    @Html.TextBox("Surname", null)
    <br />
    <br />
    <fieldset>
        <legend>Choose your favorite JS framework</legend>

        @Html.RadioButton("framework", "Angular")
        <label for="angular">Angular</label><br />

        @Html.RadioButton("framework", "React")
        <label for="react">React</label><br />

        @Html.RadioButton("framework", "Vue.js")
        <label for="vue">Vue.js</label>
    </fieldset>
    <br />
    <label for="languages">Choose a Language:</label>
    @Html.DropDownList("languages",
    new SelectList(new string[] { "C#", "C++", "Java", "Ruby", "JavaScript", "GO", "F#" }), "Language")
    <br />
    <label>Choose a fruit:</label>
    @CheckboxList(new string[] { "Banana", "Apple", "Melon", "Watermelon", "Orange" })
    <br />
    <input type="submit" value="Submit" class="btn btn-primary" />
}

Task 23/Views/SurveyPage/Submitted.cshtml
@{
    ViewBag.Title = "Submitted";
}

<h1>Thanks for your participation @ViewBag.person @ViewBag.surname</h1>

<label>Your favorite framework:</label>
<p>@ViewBag.framework</p>

<label>Your favrotite language:</label>
<p>@ViewBag.language</p>

<label>Your fruits:</label>
@foreach(var x in ViewBag.fruits) 
{
    <p>@x</p>
}